<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="96761025-cf6e-46bc-a129-cabf93958042" name="Default" comment="" />
    <ignored path="$PROJECT_DIR$/.tmp/" />
    <ignored path="$PROJECT_DIR$/temp/" />
    <ignored path="$PROJECT_DIR$/tmp/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="game-min.js" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/launcher/game-min.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="779">
              <caret line="3468" column="79" selection-start-line="3468" selection-start-column="66" selection-end-line="3468" selection-end-column="79" />
              <folding>
                <element signature="e#13#4306#0" />
                <element signature="e#38#4244#0" />
                <element signature="e#4345#5692#0" />
                <element signature="e#5731#5980#0" />
                <element signature="e#6072#6522#0" />
                <element signature="e#6574#6773#0" />
                <element signature="e#6797#7792#0" />
                <element signature="e#7814#7850#0" />
                <element signature="e#10093#13487#0" />
                <element signature="e#13554#13725#0" />
                <element signature="e#13740#17980#0" />
                <element signature="e#18047#18218#0" />
                <element signature="e#18233#19139#0" />
                <element signature="e#19206#19377#0" />
                <element signature="e#19392#21460#0" />
                <element signature="e#21527#21698#0" />
                <element signature="e#21713#22315#0" />
                <element signature="e#22382#22553#0" />
                <element signature="e#22568#23154#0" />
                <element signature="e#23221#23392#0" />
                <element signature="e#23407#23692#0" />
                <element signature="e#23759#23930#0" />
                <element signature="e#23778#23814#0" />
                <element signature="e#23945#26791#0" />
                <element signature="e#26858#27029#0" />
                <element signature="e#27044#28085#0" />
                <element signature="e#28152#28323#0" />
                <element signature="e#28338#28861#0" />
                <element signature="e#28928#29099#0" />
                <element signature="e#29114#29639#0" />
                <element signature="e#29706#29877#0" />
                <element signature="e#40807#40978#0" />
                <element signature="e#40993#44507#0" />
                <element signature="e#44576#45134#0" />
                <element signature="e#45276#45447#0" />
                <element signature="e#45462#54463#0" />
                <element signature="e#54525#61282#0" />
                <element signature="e#61403#61574#0" />
                <element signature="e#78020#79495#0" />
                <element signature="e#79566#79737#0" />
                <element signature="e#79752#87545#0" />
                <element signature="e#87616#87787#0" />
                <element signature="e#87802#92220#0" />
                <element signature="e#92295#92466#0" />
                <element signature="e#92481#97583#0" />
                <element signature="e#97654#97825#0" />
                <element signature="e#97840#105323#0" />
                <element signature="e#105385#105424#0" />
                <element signature="e#105455#106505#0" />
                <element signature="e#105516#105624#0" />
                <element signature="e#106607#106806#0" />
                <element signature="e#106838#109567#0" />
                <element signature="e#109681#109880#0" />
                <element signature="e#113970#114169#0" />
                <element signature="e#115388#115587#0" />
                <element signature="e#116122#116321#0" />
                <element signature="e#116355#120099#0" />
                <element signature="e#120217#120416#0" />
                <element signature="e#121670#121869#0" />
                <element signature="e#121925#122227#0" />
                <element signature="e#122291#125041#0" />
                <element signature="e#128803#129002#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="egret_loader.js" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/launcher/egret_loader.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="330">
              <caret line="51" column="45" selection-start-line="51" selection-start-column="45" selection-end-line="51" selection-end-column="45" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="egret.js" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/launcher/egret.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="30">
              <caret line="3649" column="4" selection-start-line="3649" selection-start-column="4" selection-end-line="3649" selection-end-column="4" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="item.json" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/resource/assetsGame/item.json">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="210">
              <caret line="7" column="38" selection-start-line="7" selection-start-column="38" selection-end-line="7" selection-end-column="38" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>mi_3</find>
      <find>debug</find>
      <find>ySound1</find>
      <find>InGame</find>
      <find>document_class</find>
      <find>rootClass</find>
      <find>RightBtn</find>
      <find>clickBtnNum</find>
      <find>onTouchBegin</find>
      <find>//添加左右键盘按键操作</find>
      <find>no ck</find>
      <find>startBtn</find>
      <find>click_home_btn</find>
      <find>doHome</find>
      <find>click_start_btn</find>
      <find>click_info_btn</find>
      <find>shop_bg</find>
      <find>Info</find>
      <find>curQian</find>
      <find>QiandaoPanel</find>
      <find>touch_qiandao</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/launcher/egret.js" />
        <option value="$PROJECT_DIR$/launcher/egret_loader.js" />
        <option value="$PROJECT_DIR$/launcher/game-min.js" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="255" />
    <option name="y" value="15" />
    <option name="width" value="1405" />
    <option name="height" value="1005" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="yqrxd" type="b2602c69:ProjectViewProjectNode" />
              <item name="yqrxd" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="yqrxd" type="b2602c69:ProjectViewProjectNode" />
              <item name="yqrxd" type="462c0819:PsiDirectoryNode" />
              <item name="launcher" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="yqrxd" type="b2602c69:ProjectViewProjectNode" />
              <item name="yqrxd" type="462c0819:PsiDirectoryNode" />
              <item name="resource" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="yqrxd" type="b2602c69:ProjectViewProjectNode" />
              <item name="yqrxd" type="462c0819:PsiDirectoryNode" />
              <item name="resource" type="462c0819:PsiDirectoryNode" />
              <item name="assetsGame" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="96761025-cf6e-46bc-a129-cabf93958042" name="Default" comment="" />
      <created>1555470232806</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1555470232806</updated>
      <workItem from="1555470235098" duration="8837000" />
      <workItem from="1555559751326" duration="27636000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="36473000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.24966975" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info active="true" anchor="bottom" id="Find" order="1" visible="true" weight="0.20669578" />
      <window_info anchor="bottom" id="Version Control" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="3" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/launcher/game-min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="109590">
          <caret line="3653" column="2" lean-forward="true" selection-start-line="3641" selection-end-line="3653" selection-end-column="2" />
          <folding>
            <element signature="e#13#4306#0" />
            <element signature="e#38#4244#0" />
            <element signature="e#4345#5692#0" />
            <element signature="e#5731#5980#0" />
            <element signature="e#6072#6522#0" />
            <element signature="e#6574#6773#0" />
            <element signature="e#6797#7792#0" />
            <element signature="e#7814#7850#0" />
            <element signature="e#10093#13487#0" />
            <element signature="e#13554#13725#0" />
            <element signature="e#13740#17980#0" />
            <element signature="e#18047#18218#0" />
            <element signature="e#18233#19139#0" />
            <element signature="e#19206#19377#0" />
            <element signature="e#19392#21460#0" />
            <element signature="e#21527#21698#0" />
            <element signature="e#21713#22315#0" />
            <element signature="e#22382#22553#0" />
            <element signature="e#22568#23154#0" />
            <element signature="e#23221#23392#0" />
            <element signature="e#23407#23692#0" />
            <element signature="e#23759#23930#0" />
            <element signature="e#23778#23814#0" />
            <element signature="e#23945#26791#0" />
            <element signature="e#26858#27029#0" />
            <element signature="e#27044#28085#0" />
            <element signature="e#28152#28323#0" />
            <element signature="e#28338#28861#0" />
            <element signature="e#28928#29099#0" />
            <element signature="e#29114#29639#0" />
            <element signature="e#29706#29877#0" />
            <element signature="e#40807#40978#0" />
            <element signature="e#40993#44507#0" />
            <element signature="e#44576#45134#0" />
            <element signature="e#45276#45447#0" />
            <element signature="e#45462#54463#0" />
            <element signature="e#54525#61282#0" />
            <element signature="e#61403#61574#0" />
            <element signature="e#78020#79495#0" />
            <element signature="e#79566#79737#0" />
            <element signature="e#79752#87545#0" />
            <element signature="e#87616#87787#0" />
            <element signature="e#87802#92220#0" />
            <element signature="e#92295#92466#0" />
            <element signature="e#92481#97583#0" />
            <element signature="e#97654#97825#0" />
            <element signature="e#97840#105323#0" />
            <element signature="e#105385#105424#0" />
            <element signature="e#105455#106505#0" />
            <element signature="e#105516#105624#0" />
            <element signature="e#106607#106806#0" />
            <element signature="e#106838#109567#0" />
            <element signature="e#109681#109880#0" />
            <element signature="e#113970#114169#0" />
            <element signature="e#115388#115587#0" />
            <element signature="e#116122#116321#0" />
            <element signature="e#116355#120099#0" />
            <element signature="e#120217#120416#0" />
            <element signature="e#121670#121869#0" />
            <element signature="e#121925#122227#0" />
            <element signature="e#122291#125041#0" />
            <element signature="e#128803#129002#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1290">
          <caret line="43" column="30" selection-start-line="43" selection-start-column="30" selection-end-line="43" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/launcher/egret.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4710">
          <caret line="157" column="8" selection-start-line="157" selection-start-column="8" selection-end-line="157" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$APPLICATION_HOME_DIR$/plugins/JavaScriptLanguage/jsLanguageServicesImpl/external/lib.es5.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="214">
          <caret line="287" column="4" selection-start-line="287" selection-start-column="4" selection-end-line="287" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="350">
          <caret line="29" lean-forward="true" selection-start-line="29" selection-end-line="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resource/assetsGame/left_btn.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/resource/assetsGame/item.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="7" column="38" selection-start-line="7" selection-start-column="38" selection-end-line="7" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/launcher/egret.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="3649" column="4" selection-start-line="3649" selection-start-column="4" selection-end-line="3649" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/launcher/egret_loader.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="51" column="45" selection-start-line="51" selection-start-column="45" selection-end-line="51" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/launcher/game-min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="779">
          <caret line="3468" column="79" selection-start-line="3468" selection-start-column="66" selection-end-line="3468" selection-end-column="79" />
          <folding>
            <element signature="e#13#4306#0" />
            <element signature="e#38#4244#0" />
            <element signature="e#4345#5692#0" />
            <element signature="e#5731#5980#0" />
            <element signature="e#6072#6522#0" />
            <element signature="e#6574#6773#0" />
            <element signature="e#6797#7792#0" />
            <element signature="e#7814#7850#0" />
            <element signature="e#10093#13487#0" />
            <element signature="e#13554#13725#0" />
            <element signature="e#13740#17980#0" />
            <element signature="e#18047#18218#0" />
            <element signature="e#18233#19139#0" />
            <element signature="e#19206#19377#0" />
            <element signature="e#19392#21460#0" />
            <element signature="e#21527#21698#0" />
            <element signature="e#21713#22315#0" />
            <element signature="e#22382#22553#0" />
            <element signature="e#22568#23154#0" />
            <element signature="e#23221#23392#0" />
            <element signature="e#23407#23692#0" />
            <element signature="e#23759#23930#0" />
            <element signature="e#23778#23814#0" />
            <element signature="e#23945#26791#0" />
            <element signature="e#26858#27029#0" />
            <element signature="e#27044#28085#0" />
            <element signature="e#28152#28323#0" />
            <element signature="e#28338#28861#0" />
            <element signature="e#28928#29099#0" />
            <element signature="e#29114#29639#0" />
            <element signature="e#29706#29877#0" />
            <element signature="e#40807#40978#0" />
            <element signature="e#40993#44507#0" />
            <element signature="e#44576#45134#0" />
            <element signature="e#45276#45447#0" />
            <element signature="e#45462#54463#0" />
            <element signature="e#54525#61282#0" />
            <element signature="e#61403#61574#0" />
            <element signature="e#78020#79495#0" />
            <element signature="e#79566#79737#0" />
            <element signature="e#79752#87545#0" />
            <element signature="e#87616#87787#0" />
            <element signature="e#87802#92220#0" />
            <element signature="e#92295#92466#0" />
            <element signature="e#92481#97583#0" />
            <element signature="e#97654#97825#0" />
            <element signature="e#97840#105323#0" />
            <element signature="e#105385#105424#0" />
            <element signature="e#105455#106505#0" />
            <element signature="e#105516#105624#0" />
            <element signature="e#106607#106806#0" />
            <element signature="e#106838#109567#0" />
            <element signature="e#109681#109880#0" />
            <element signature="e#113970#114169#0" />
            <element signature="e#115388#115587#0" />
            <element signature="e#116122#116321#0" />
            <element signature="e#116355#120099#0" />
            <element signature="e#120217#120416#0" />
            <element signature="e#121670#121869#0" />
            <element signature="e#121925#122227#0" />
            <element signature="e#122291#125041#0" />
            <element signature="e#128803#129002#0" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>